Subject: Re: new NAPI interface broken

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 16 Oct 2007 19:01:49 +1000

On Tue, 2007-10-16 at 01:31 -0700, David Miller wrote:
> From: Benjamin Herrenschmidt <[email-masked]>
> Date: Tue, 16 Oct 2007 18:28:56 +1000
> 
> > Allright, so that's an out of tree userland thingy... (which may well
> > work on ppc too I suppose). Definitely not installed by default by my
> > distro so IRQs from the network cards on all x86's using ubuntu gutsy at
> > least are spread to all CPUs :-)
> 
> But the thing does treat network interfaces differently from
> other devices.
> 
> Arjan ran over to my table at kernel summit when I presented this
> topic to the audience, to remind me of all of this and he should be
> included in on any discussions about this topic. :-)
> 
> I've CC:'d him.

As far as I know, the x86 in-kernel thingy doesn't but yeah, the
userland one seems much more evolved and does things based on the
"class" of the device.

Christoph, have any of you tried it on powerpc ?

Cheers,
Ben.